import request from '@/utils/request'

// 查询月度检查列表
export function listMonth(query) {
  return request({
    url: '/sems/month/list',
    method: 'get',
    params: query
  })
}

// 查询月度检查详细
export function getMonth(id) {
  return request({
    url: '/sems/month/' + id,
    method: 'get'
  })
}

// 新增月度检查
export function addMonth(data) {
  return request({
    url: '/sems/month',
    method: 'post',
    data: data
  })
}

// 修改月度检查
export function updateMonth(data) {
  return request({
    url: '/sems/month',
    method: 'put',
    data: data
  })
}

// 删除月度检查
export function delMonth(id) {
  return request({
    url: '/sems/month/' + id,
    method: 'delete'
  })
}

// 导出月度检查
export function exportMonth(query) {
  return request({
    url: '/sems/month/export',
    method: 'get',
    params: query
  })
}
